/* GLOBAL */
html {
    scroll-behavior: smooth;
}
body {
    /* COULEURS */
    --color-primary: #f6e5ce;
    --color-primary-darker: #c88c55;
    --color-secondary: #185854;

    font-family: Roboto, sans-serif;
    margin: 0;
    background: var(--color-primary);
}
*, *::before, *::after {
    box-sizing: border-box;
}
h1, h2, h3, h4, h5, h6, p, ul {
    margin-top: 0;
    margin-bottom: 1.3em;
}
a {
    color: inherit;
}
button {
    cursor: pointer;
    font-family: inherit;
    font-size: 1em;
}
.site-page {
    position: relative;
    padding-top: 7em;
    background-color: var(--color-primary);
}
body:not(.home) .site-page {
    padding-top: 10em;
}
.no-scroll {
    overflow: hidden;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) .btn.btn-hemis,
.btn.btn-hemis,
.woocommerce ul.products li.product .button.btn.btn-hemis {
    color: #000;
    border: solid 0.15em var(--color-secondary);
    text-decoration: none;
    font-size: 0.85em;
    margin-top: 0;
    margin-left: auto;
    margin-right: auto;
    border-radius: 1.1em;
    height: 3em;
    padding: 0 1.5em;
    font-weight: 400;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    transition-property: color, background-size;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
    inline-size: max-content;
    background: url(../img/circle.svg) no-repeat center center / 0 auto;
}
.woocommerce:where( body:not( .woocommerce-block-theme-has-button-styles ) ) .btn.btn-hemis:hover,
.woocommerce:where( body:not( .woocommerce-block-theme-has-button-styles ) ) .btn.btn-hemis:focus,
.btn.btn-hemis:hover,
.btn.btn-hemis:focus,
.woocommerce ul.products li.product .button.btn.btn-hemis:hover,
.woocommerce ul.products li.product .button.btn.btn-hemis:focus {
    color: #fff;
    background-size: 125% auto;
}
.btn.fake-link {
    font-size: 1em;
    font-family: inherit;
    background: transparent;
    border: none;
    text-decoration: underline;
    padding: 0;
    display: inline-block;
}
.not-centered,
.btn.btn-hemis.not-centered {
    margin-left: 0;
    margin-right: 0;
}
.container {
    max-width: 80em;
    margin-left: auto;
    margin-right: auto;
    padding-left: 15px;
    padding-right: 15px;
}
img {
    width: auto;
    height: auto;
    max-height: 100%;
    max-width: 100%;
}
.clearfix {
    clear: both;
}

.loading {
    position: relative;
    pointer-events: none;
}
.loading::before {
    content: url(../img/loader.svg);
    position: absolute;
    height: 10em;
    width: 10em;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    z-index: 1;
}
.loading > * {
    filter: blur(0.2em);
}
.nav-menu-open {
    overflow: hidden;
}
/* GLOBAL */



/* HOME INTRO */
#home-intro {
    background-color: var(--color-primary);
    display: block;
}
#home-intro::before,
#home-intro::after {
    content: '';
    position: absolute;
    bottom: 8vh;
    left: calc(50% - 2.2vh);
    width: 4vh;
    height: 4vh;
    z-index: 2;
    opacity: 0;
    border-top: solid 2px #fff;
    border-right: solid 2px #fff;
    transform: rotate(135deg);
    animation: home-intro-arrow 1s ease-out 2s 1 forwards, home-intro-arrow-animation 1.5s ease-out 3s infinite;
}
#home-intro::after {
    bottom: 6.25vh;
}
.home-intro-container {
    height: 100vh;
    background: url('../images/home-intro-full.jpg') no-repeat center center / cover;
    position: relative;
    opacity: 0;
    animation: fade-in 1s ease-out 0.5s forwards;
}
@keyframes fade-in {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes home-intro-arrow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes home-intro-arrow-animation {
    0% {
        transform: translateY(0) rotate(135deg);
    }
    15% {
        transform: translateY(-3vh) rotate(135deg);
    }
    30% {
        transform: translateY(0) rotate(135deg);
    }
    40% {
        transform: translateY(-1.5vh) rotate(135deg);
    }
    50% {
        transform: translateY(0) rotate(135deg);
    }
    100% {
        transform: translateY(0) rotate(135deg);
    }
}
/* HOME INTRO */



/* HEADER */
.site-header {
    top: 0;
    padding: 1em 0;
    position: absolute;
    z-index: 1000;
    width: 100%;
    box-shadow: none;
    background: #000000;
    background: linear-gradient(0deg, rgba(200, 140, 85, 0) 0%, rgba(200, 140, 85, 1) 100%);
    transition: border-bottom-width 0.3s ease-in-out;
    /* background-color: var(--color-primary); */
    transition-property: background-color, border-width;
    border-bottom: solid 0em var(--color-primary-darker);
}
body:not(.home) .site-header,
body.scrolled-more-than-one-screen .site-header {
    position: fixed;
    border-bottom-width: 0.5em;
    background-color: var(--color-primary);
}
.menu-toggle-close {
    display: none;
}
.menu-toggle {
    display: none;
}
.header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.custom-logo-link {
    display: block;
    max-width: 10em;
}
.header-right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 2em;
    color: #fff;
}
.header-nav .menu {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    gap: 0.5em;
}
.header-nav {
    display: flex;
    align-items: center;
    gap: 1em;
}
.menu-menu-entete-container a {
    color: #fff;
    text-transform: none;
    font-weight: 400;
    transition: color 0.3s ease-in-out;
    position: relative;
    padding: 0.6em;
    text-decoration: none;
}
.menu-menu-entete-container a::after {
    content: "";
    position: absolute;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: var(--color-secondary);
    bottom: calc( 0px + 0.3rem );
    transition-property: width, left;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}
.menu-menu-entete-container a:focus,
.menu-menu-entete-container a:hover {
    color: var(--color-secondary);
}
.menu-menu-entete-container a:focus::after,
.menu-menu-entete-container a:hover::after {
    width: calc( 100% - 1.25rem );
    left: 0.625rem;
}
.bloc-socials {
    display: flex;
    gap: 0.25em;
}
.bloc-socials a {
    font-size: 1.4em;
    color: #fff;
    height: 1.6em;
    line-height: 1;
    width: 1.6em;
    border-radius: 0.25em;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition-property: color, background-color;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}
.bloc-socials a:focus,
.bloc-socials a:hover {
    background-color: var(--color-secondary);
}

.header-icons {
    font-size: 1.4em;
    display: flex;
    gap: 1em;
}
.header-icons a {
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}
.header-icons a:focus,
.header-icons a:hover {
    color: var(--color-secondary);
}
.header-cart {
    position: relative;
}
.cart-count {
    position: absolute;
    top: -0.6em;
    right: -0.6em;
    line-height: 1;
    font-size: 0.7rem;
    height: 1.5em;
    width: 1.5em;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: #f00;
    color: #fff;
}
/* HEADER */



/* HOME BLOCKS IMAGE AND LINK */
.home-blocks-image-and-link {
    padding: 1.25em 0;
    position: relative;
    border-top: solid 1em var(--color-primary-darker);
    border-bottom: solid 1em var(--color-primary-darker);
    margin-bottom: 5em;
    margin-top: 5em;
}
.home-blocks-image-and-link .container {
    display: flex;
    gap: 1.8em;
}
.home-blocks-image-and-link .container > div {
    border: solid 0.5em var(--color-secondary);
}
.home-blocks-image-and-link-left {
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    min-height: 23em;
    width: 50%;
}
.home-blocks-image-and-link-right {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    text-align: center;
    width: 50%;
}
.home-blocks-image-and-link-right h1 {
    margin-bottom: 2em;
}
/* HOME BLOCKS IMAGE AND LINK */



/* HOME CATEGORIES */
.home-blocks-categories {
    margin-bottom: 5em;
    overflow: hidden;
}
.home-blocks-categories .lSSlideOuter,
.home-blocks-categories .lSSlideWrapper {
    overflow: visible;
}
.home-blocks-categories-list-item.no-image {
    height: 100%;
}
.home-blocks-categories-list-item-link {
    display: block;
    position: relative;
    overflow: hidden;
    color: #fff;
    border-radius: 1.5em;
    /* Un entier pour le calcul du diaporama */
    width: 780px;
    min-height: 28.42em;
    height: 100%;
    background-color: #fff;
}
.home-blocks-categories-list-item-link::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 17.5em;
    background-color: var(--color-secondary);
    mix-blend-mode: multiply;
    z-index: 2;
}
.home-blocks-categories-list-item-link:hover,
.home-blocks-categories-list-item-link:focus {
    color: #fff;
}
.home-blocks-categories-list-item-image {
    background-size: cover;
    background-position: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    transition: transform 0.3s ease-in-out;
}
.home-blocks-categories-list-item-link:hover .home-blocks-categories-list-item-image,
.home-blocks-categories-list-item-link:focus .home-blocks-categories-list-item-image {
    transform: scale(1.05);
}
.home-blocks-categories-list-overlay {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 17.5em;
    display: flex;
    flex-flow: column;
    align-items: flex-start;
    justify-content: flex-end;
    z-index: 3;
    padding: 1.5em;
}
.home-blocks-categories-list-title {
    font-size: 1.5em;
    margin-bottom: 1em;
}
.home-blocks-categories-list-text {
    margin: 0;
    color: inherit;
    font-size: 0.7em;
    padding-left: 1.5em;
    position: relative;
    font-style: italic;
    font-weight: 700;
}
.home-blocks-categories-list-text-arrow {
    position: relative;
}
.home-blocks-categories-list-text::before {
    content: "";
    position: absolute;
    height: 1px;
    left: calc( 100% + 1em );
    width: 7em;
    background-color: #fff;
    bottom: 40%;
    transition: width 0.3s ease-in-out;
}
.home-blocks-categories-list-item-link:hover .home-blocks-categories-list-text::before,
.home-blocks-categories-list-item-link:focus .home-blocks-categories-list-text::before {
    width: 8em;
}
.home-blocks-categories-list-text-arrow::before,
.home-blocks-categories-list-text-arrow::after {
    content: "";
    position: absolute;
    border-top: solid 1px #fff;
    border-right: solid 1px #fff;
    width: 0.75em;
    height: 0.75em;
    transform: rotate(45deg);
    top: 32.2%;
    left: calc( 100% + 7.1em );
    transition: left 0.3s ease-in-out;
}
.home-blocks-categories-list-text-arrow::after {
    left: calc( 100% + 7.3em );
}
.home-blocks-categories-list-item-link:hover .home-blocks-categories-list-text-arrow::before,
.home-blocks-categories-list-item-link:focus .home-blocks-categories-list-text-arrow::before,
.home-blocks-categories-list-item-link:hover .home-blocks-categories-list-text-arrow::after,
.home-blocks-categories-list-item-link:focus .home-blocks-categories-list-text-arrow::after {
    left: calc( 100% + 8.3em );
}
/* HOME CATEGORIES */



/* HOME CENTERED TITLE */
.home-centered-title {
    text-align: center;
    margin-top: 10em;
    margin-bottom: 10em;
    font-size: 1.5em;
    color: var(--color-primary-darker);
    font-style: italic;
}
.home-centered-title span {
    color: var(--color-secondary);
}
/* HOME CENTERED TITLE */



/* HOME BLOCKS TEXTS */
.home-blocks-texts {
    margin-bottom: 10em;
}
.home-blocks-texts .container {
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
}
.home-blocks-texts-item {
    width: 20%;
}
.home-blocks-texts-item h3 {
    font-size: 1.5em;
    font-style: italic;
}
.home-blocks-texts-separator {
    border-color: #000;
    border-width: 2px;
    border-style: solid;
    height: 20em;
}
.home-blocks-texts-item,
.home-blocks-texts-separator {
    transform: translateY(5em);
    opacity: 0;
    visibility: hidden;
    transition-property: transform, opacity, visibility;
    transition-duration: .5s;
    transition-timing-function: ease-in-out;
}
.home-blocks-texts.reached .home-blocks-texts-item,
.home-blocks-texts.reached .home-blocks-texts-separator {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}
.home-blocks-texts.reached .home-blocks-texts-separator {
    height: 10em;
}
/* HOME BLOCKS TEXTS */



/* CLUB ASIDE */
.aside-follow-us {
    background-image: url(../img/banner-car.jpg);
    background-size: cover;
    background-position: center center;
    padding: 4em 0;
    margin-bottom: 10em;
    position: relative;
    color: #fff;
}
.aside-follow-us::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0.5;
    visibility: visible;
    background-color: #fff;
    transition-property: opacity, visibility;
    transition-duration: .5s;
    transition-timing-function: ease-in-out;
}
.aside-follow-us:hover::before,
.aside-follow-us:focus::before {
    opacity: 0;
    visibility: hidden;;
}
.aside-follow-us .container {
    padding-left: calc(15px + 3em);
    padding-right: calc(15px + 3em);
}
.aside-follow-us-title {
    font-style: italic;
    font-size: 2em;
    margin-bottom: 0.5em;
}
.aside-follow-us-content {
    max-width: 45%;
}
/* CLUB ASIDE */



/* LISTING */
.orderby {
    border-radius: 0;
    border: none;
    background: #fff;
    font-size: 1em;
    padding: 0.2em 0.4em;
}
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product {
    background: #fff;
    text-align: center;
    padding-bottom: 2em;
}
.products > .product .hemis-customize-product-btn {
    margin-left: auto;
    margin-right: auto;
}
.product-image-wrapper {
    overflow: hidden;
    margin-bottom: 1em;
}
.woocommerce ul.products li.product a img {
    margin: 0;
    transition: transform 0.3s ease-in-out;
}
a:hover .product-image-wrapper img,
a:focus .product-image-wrapper img {
    transform: scale(1.05);
}
.woocommerce ul.products li.product .woocommerce-loop-category__title,
.woocommerce ul.products li.product .woocommerce-loop-product__title,
.woocommerce ul.products li.product h3 {
    font-size: 1.5em;
}
.woocommerce ul.products li.product .price {
    font-size: 1.4em;
    margin-bottom: 0.8em;
    color: var(--color-primary-darker);
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) .btn.btn-hemis.btn-loading,
.btn.btn-hemis.btn-loading,
.woocommerce ul.products li.product .button.btn.btn-hemis.btn-loading,
.loading-product-customization-popin.woocommerce:where( body:not( .woocommerce-block-theme-has-button-styles ) ) .btn.btn-hemis.hemis-customize-product-btn {
    border-color: #ccc;
    color: #fff;
    background: #ccc;
    pointer-events: none;
}
.loading-product-customization-popin .hemis-customize-product-btn::after {
    content: url(../img/loader.svg);
    position: absolute;
    height: 3em;
    width: 3em;
    left: calc( 100% + 0.5em );
}
.woocommerce ul.products li.product .star-rating {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0.8em;
    font-size: 1.2em;
}
/* LISTING */



/* POPIN */
.popin-theme {
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.5vh;
}
.close-popin-btn {
    height: 2.5em;
    width: 2.5em;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    background: transparent;
    border: none;
}
.close-popin-btn::before,
.close-popin-btn::after {
    content: "";
    height: 0.3em;
    width: 100%;
    background: #fff;
    position: absolute;
    top: calc( 50% - 0.15em );
    left: 0;
    transform: rotate(45deg);
    border-radius: 1em;
}
.close-popin-btn::after {
    transform: rotate(-45deg);
}
.popin-theme .shadow {
    background: #000;
    opacity: 0.7;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    cursor: pointer;
}

/* Support for older browser */
.product-customization-svg-support {
    background: #ddd;
}

/* White background if no color set */
.product-customization-svg-support:not(:has(.svg-bkg[style="fill: rgb(255, 255, 255);"])) {
    background: #fff;
}
/* Black background if tshirt color is white */
.product-customization-svg-support:has(.svg-bkg[style="fill: rgb(255, 255, 255);"]) {
    background: #000;
}

.product-customization-popin-content {
    background: #fff;
    max-height: calc(100vh - 4.8em);
    max-width: calc(100vw - 4.8em);
    position: relative;
    display: flex;
    align-items: center;
    padding: 0.8em;
    border-radius: 0.4em;
    border: solid 0.4em var(--color-primary);
    gap: 3em;
    transition: opacity 0.5s ease-in-out;
}
.product-customization-popin-content.fade {
    opacity: 0;
}
.product-svg-container {
    width: 30em;
    overflow: hidden;
}
.product-customization-svg-container {
    position: relative;
    transition: transform 0.3s ease-in-out;
}
.product-customization-svg-container:hover {
    cursor: crosshair;
    transform: scale(2.5);
}
.product-customization-svg-logo {
    position: absolute;
}
.product-customization-svg-container svg {
    display: block;
}
.product-customization-groups {
    width: 22em;
    max-height: calc(100vh - 4.8em);
    overflow: auto;
    padding: 1em;
}
.product-customization-group {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em;
    margin-bottom: 1em;
    font-size: 0.9em;
}
.product-customization-group:last-child {
    margin-bottom: 0;
}
.product-customization-group-title {
    margin-bottom: 0em;
    line-height: 1;
    text-align: center;
    background: var(--color-primary);
    padding: 0.4em;
    width: 100%;
    font-size: 1.1em;
}
.color-btn {
    border: none;
    box-shadow: 0 0 1px 0px #000;
    border-radius: 0;
    padding: 0;
    height: 2em;
    width: 2em;
}
.color-btn.picked {
    box-shadow: 0 0 0.2em 0.2em var(--color-secondary);
}
.product-customization-groups .validate-customization-btn {
    min-width: 100%;
    max-height: 2.5em;
}

.popin-success {
    text-align: center;
}
.popin-success .icon-container i {
    font-size: 4em;
    border: solid 0.1em var(--color-primary);
    height: 1.4em;
    line-height: 1;
    width: 1.4em;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-secondary);
    margin: 0.4em auto 0.8em;
}
.popin-success .btn.fake-link {
    margin: 1em 0;
    font-size: 0.8em;
}

/* format portrait */
@media screen and (max-aspect-ratio: 1/1) {
    body:not(.woocommerce-view-order) .product-customization-popin-content {
        max-height: calc(100vh - 1em);
        max-width: calc(100vw - 1em);
        height: 100%;
        width: 100%;
        flex-flow: column;
        gap: 0.5em;
        justify-content: center;
    }
    body:not(.woocommerce-view-order) .close-popin-btn {
        top: 1em;
        right: 1em;
    }
    body:not(.woocommerce-view-order) .close-popin-btn::before,
    body:not(.woocommerce-view-order) .close-popin-btn::after {
        background-color: var(--color-primary-darker);
    }
    body:not(.woocommerce-view-order) .product-svg-container {
        width: 16em;
    }
    
    .woocommerce:where( body:not( .woocommerce-block-theme-has-button-styles ) ) .btn.btn-hemis {
        margin-top: 1em;
    }
    .product-customization-groups {
        width: 100%;
        max-width: 25em;
        padding: 0.2em;
        max-height: 100%;
        font-size: 0.9em;
    }
    .product-customization-group {
        gap: 0;
        margin-bottom: 0.3em;
        transition-property: gap, margin-bottom;
        transition-duration: 0.3s;
        transition-timing-function: ease-in-out;
    }
    .product-customization-group.active {
        gap: 0.5em;
        margin-bottom: 1em;
    }
    .product-customization-group-title {
        cursor: pointer;
        transition-property: color, background-color;
        transition-duration: 0.3s;
        transition-timing-function: ease-in-out;
    }
    .product-customization-group.active .product-customization-group-title {
        color: #fff;
        background-color: var(--color-secondary);
    }
    .product-customization-group-title::after {
        content: "\f107";
        font-family: "Font Awesome 6 Free";
        margin-left: 0.4em;
        transition: transform 0.3s ease-in-out;
    }
    .product-customization-group.active .product-customization-group-title::after {
        transform: rotate(180deg);
    }
    .color-btn {
        height: 0;
        transition: height 0.3s ease-in-out;
    }
    .product-customization-group.active .color-btn {
        height: 2em;
    }
    .product-customization-group:not(.active) .color-btn.picked {
        box-shadow: none;
    }
}

/* POPIN */



/* PRODUCT SINGLE */
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb,
.woocommerce-breadcrumb {
    color: #000;
    margin-bottom: 2em;
    font-size: 0.85em;
}
.woocommerce-breadcrumb a,
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb a {
    font-weight: 700;
    color: var(--color-primary-darker);
    transition: color 0.3s ease-in-out;
}
.woocommerce-breadcrumb a:hover,
.woocommerce-breadcrumb a:focus,
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb a:hover,
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb a:focus {
    color: var(--color-secondary);
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price {
    font-size: 2em;
    font-weight: 700;
    color: var(--color-primary-darker);
    margin-bottom: 1em;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) .entry-summary .btn.btn-hemis {
    margin-left: 0;
    margin-bottom: 2.36em;
}
.woocommerce .star-rating span,
.woocommerce .star-rating::before {
    color: var(--color-primary-darker);
}
.woocommerce-review-link {
    font-size: 0.8em;
}
.woocommerce #reviews #comments ol.commentlist li .comment-text {
    border: 0.4em solid var(--color-secondary);
    border-radius: 0;
    background: #fff;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) #reviews #comments ol.commentlist li .meta,
.woocommerce p.stars a::before {
    color: var(--color-primary-darker);
}
#review_form_wrapper {
    border: solid 0.4em var(--color-secondary);
    padding: 1em;
    background: #fff;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #reviews .btn.btn-hemis {
    margin-left: 0;
}
#reply-title {
    font-weight: 700;
    font-size: 1.5em;
    margin-bottom: 0.5em;
    display: block;
}
#review_form_wrapper .form-submit {
    margin-bottom: 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
    color: #fff;
    background: var(--color-secondary);
    border-bottom-color: var(--color-secondary);
}
.woocommerce div.product form.cart div.quantity {
    float: none;
    margin: 0 0 1.4em;
}
.woocommerce .quantity .qty {
    font-size: 1.4em;
}
/* PRODUCT SINGLE */



/* CART */
.wc-block-cart__empty-cart__title::before {
    color: var(--color-primary-darker);
    font-size: 1.5em;
}
.shop_table {
    background: #fff;
}
.woocommerce-cart-form.loading::before {
    height: 10em;
    width: 10em;
}
.cart-container .shop_table thead {
    background: var(--color-primary-darker);
    color: #fff;
}
.woocommerce-cart table.cart img {
    width: auto;
    max-width: 3em;
}
.woocommerce-cart table.cart td.actions .coupon .input-text {
    font-size: 1em;
    width: 10em;
}
.coupon .btn {
    height: 2.4em;
}
.woocommerce-Price-amount.amount {
    font-weight: 700;
    color: var(--color-primary-darker);
}
.cart-item-customizable-thumbnail-product {
    position: relative;
    display: inline-block;
    cursor: pointer;
}
.cart-item-customizable-thumbnail-product img {
    filter: blur(0.1em);
    display: block;
}
.cart-item-customizable-thumbnail-product i {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-secondary);
    font-size: 1.5em;
    opacity: 0;
    visibility: hidden;
    transition-property: opacity, visibility;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}
.cart-item-customizable-thumbnail-product:hover i,
.cart-item-customizable-thumbnail-product:focus i {
    opacity: 1;
    visibility: visible;
}

.quantity-input-with-buttons {
    font-size: 1.2em;
    display: inline-flex;
    gap: 0.3em;
}
.quantity-input-with-buttons.loading:before {
    height: 3em;
    width: 3em;
}
.woocommerce .quantity .quantity-input-with-buttons .qty {
    font-size: 1em;
}
.quantity-input-with-buttons button {
    background-color: var(--color-secondary);
    border: solid 0.2em var(--color-secondary);
    border-radius: 0.2em;
    color: #fff;
    transition-property: color, background-color;
    transition-duration: .3s;
    transition-timing-function: ease-in-out;
}
.quantity-input-with-buttons button:hover,
.quantity-input-with-buttons button:focus {
    color: var(--color-secondary);
    background-color: #fff;
}
.checkout-button.btn.btn-hemis {
    width: 100%;
    background-color: #fff;
}
/* CART */



/* CHECKOUT */
.wc-block-components-checkout-place-order-button {
    background: var(--color-secondary);
    font-size: 1.2em;
    border-radius: 0.4em;
}
/* CHECKOUT */



/* MY ACCOUNT */
.woocommerce-account .woocommerce-MyAccount-navigation {
    float: none;
    width: 100%;
}
.myaccount-navigation-list {
    padding: 0;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    max-width: 920px;
    gap: 1em;
    list-style: none;
}
.woocommerce-MyAccount-navigation-link a {
    display: flex;
    background: #fff;
    border: solid 0.2em var(--color-secondary);
    align-items: center;
    text-decoration: none;
    font-weight: 700;
    justify-content: center;
    min-height: 5em;
    border-radius: 0.4em;
    transition-property: color, background-color;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}
.myaccount-navigation-list {
    padding: 0;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    max-width: 58em;
    gap: 1.25em;
    list-style: none;
    justify-content: center;
}
.woocommerce-MyAccount-navigation-link {
    width: 18.5em;
}
.woocommerce-MyAccount-navigation-link.is-active a,
.woocommerce-MyAccount-navigation-link a:hover,
.woocommerce-MyAccount-navigation-link a:focus {
    color: #fff;
    background-color: var(--color-secondary);
}
.woocommerce-MyAccount-navigation-link--customer-logout a {
    border-color: #f00;
}
.woocommerce-MyAccount-navigation-link--customer-logout a:hover,
.woocommerce-MyAccount-navigation-link--customer-logout a:focus {
    background-color: #f00;
}

.woocommerce-account .woocommerce-MyAccount-content {
    float: none;
    width: 100%;
}
.woocommerce-orders-table__cell-order-actions .btn.btn-hemis {
    margin: 0;
}
.woocommerce .woocommerce-customer-details address {
    border: solid 0.4em var(--color-secondary);
    background: #fff;
    padding: 0.8em;
}
.woocommerce .woocommerce-order-details .view-customization-btn {
    font-size: 0.7em;
}
.view-customization-btn.loading::before {
    height: 1.5em;
    width: 1.5em;
    left: calc( 100% + 1.5em);
}
.woocommerce-Address {
    border: solid 0.4em var(--color-secondary);
    background-color: #fff;
    padding: 0.8em;
    border-radius: 0.4em;
    margin-bottom: 1em;
}
.edit-account fieldset {
    margin-bottom: 1em;
}
/* MY ACCOUNT */



@media screen and (max-width: 1280px) {

    /* GLOBAL 1280px */
    .site-page {
        font-size: 0.84rem;
    }
    /* GLOBAL 1280px */

    /* HOME INTRO 1280px */

    /* HEADER 1280px */

    /* HOME BLOCKS IMAGE AND LINK 1280px */

    /* HOME CATEGORIES 1280px */
    .home-blocks-categories-list-item-link {
        width: 655px; /* Un nombre entier pour le diaporama */
    }
    /* HOME CATEGORIES 1280px */
    
    /* HOME CENTERED TITLE 1280px */

    /* HOME BLOCKS TEXTS 1280px */

    /* CLUB ASIDE 1280px */

    /* LISTING 1280px */

    /* POPIN 1280px */

    /* PRODUCT SINGLE 1280px */

    /* CART 1280px */

    /* CHECKOUT 1280px */

    /* MY ACCOUNT 1280px */
}



@media screen and (max-width: 1080px) {

    /* GLOBAL 1080px */
    .site-page {
        font-size: 0.84rem;
    }
    .container {
        max-width: 67em;
    }
    /* GLOBAL 1080px */

    /* HOME INTRO 1080px */

    /* HEADER 1080px */

    /* HOME BLOCKS IMAGE AND LINK 1080px */
    .home-blocks-image-and-link-left {
        min-height: 20em;
    }
    .home-blocks-image-and-link-right .btn.btn-hemis {
        font-size: 1em;
    }
    /* HOME BLOCKS IMAGE AND LINK 1080px */

    /* HOME CATEGORIES 1080px */
    .home-blocks-categories-list-item-link {
        width: 550px; /* Un nombre entier pour le diaporama */
        /* min-height: 23.9em; */
    }
    /* HOME CATEGORIES 1080px */
    
    /* HOME CENTERED TITLE 1080px */

    /* HOME BLOCKS TEXTS 1080px */

    /* CLUB ASIDE 1080px */

    /* LISTING 1080px */

    /* POPIN 1080px */

    /* PRODUCT SINGLE 1080px */

    /* CART 1080px */

    /* CHECKOUT 1080px */

    /* MY ACCOUNT 1080px */
}



@media screen and (max-width: 900px) {

    /* GLOBAL 900px */
    .container {
        max-width: 67em;
    }
    /* GLOBAL 900px */

    /* HOME INTRO 900px */

    /* HEADER 900px */
    .site-header {
        height: 7em;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .container.header-container {
        max-width: 100%;
        width: 100%;
    }
    .custom-logo-link {
        position: absolute;
        top: 50%;
        right: 50%;
        transform: translate(50%,-50%);
    }
    .header-nav {
        opacity: 0;
        visibility: hidden;
        position: fixed;
        justify-content: center;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1000;
        background-color: var(--color-secondary);
        transition-property: opacity, visibility;
        transition-duration: 0.3s;
        transition-timing-function: ease-in-out;
    }
    body.nav-menu-open .header-nav {
        opacity: 1;
        visibility: visible;
    }
    .menu-toggle {
        display: block;
        border: none;
        width: 4em;
        height: 4em;
        padding: 0;
        border-radius: 0.4em;
        position: relative;
        color: #000;
        background-color: #fff;
        transition-property: background-color, color;
        transition-duration: .3s;
        transition-timing-function: ease-in-out;
    }
    .menu-toggle:hover,
    .menu-toggle:focus {
        background-color: var(--color-secondary);
        color: #fff;
    }
    .menu-toggle span:first-child {
        position: absolute;
        top: 30%;
        width: 60%;
        left: 20%;
        background-color: #000;
        height: 2px;
        transition: background-color 0.3s ease-in-out;
    }
    .menu-toggle:hover span:first-child,
    .menu-toggle:focus span:first-child {
        background-color: #fff;
    }
    .menu-toggle span:first-child::before,
    .menu-toggle span:first-child::after {
        content: "";
        background-color: inherit;
        position: absolute;
        height: 100%;
        width: 100%;
        left: 0;
        top: 0;
        transform: translateY(-400%);
        transition: background-color 0.3s ease-in-out;
    }
    .menu-toggle span:first-child::after {
        transform: translateY(400%);
    }
    .menu-toggle span:last-child {
        transition: color .3s ease-in-out;
        position: absolute;
        bottom: 0.5em;
        left: 0;
        width: 100%;
        font-weight: 500;
        text-transform: uppercase;
        color: inherit;
    }

    .menu-toggle-close {
        position: absolute;
        top: 0;
        left: 0;
        height: 4em;
        width: 4em;
        border: none;
        background: transparent;
        padding: 0;
        display: block;
    }
    .menu-toggle-close::before,
    .menu-toggle-close::after {
        content: "";
        position: absolute;
        background-color: #fff;
        left: 0;
        top: calc(50% - 2px);
        width: 100%;
        height: 4px;
        transform: rotate(45deg);
    }
    .menu-toggle-close::after {
        transform: rotate(-45deg);
    }
    .header-nav .menu {
        flex-flow: column;
        text-align: center;
        font-size: 2em;
        gap: 2em;
    }
    .header-nav .bloc-socials {
        position: absolute;
        width: 100%;
        bottom: 1em;
        left: 0;
        justify-content: center;
        font-size: 1.5em;
        gap: 1em;
    }
    .menu-menu-entete-container a:focus,
    .menu-menu-entete-container a:hover,
    .bloc-socials a:focus,
    .bloc-socials a:hover {
        color: var(--color-primary-darker);
    }
    /* HEADER 900px */

    /* HOME BLOCKS IMAGE AND LINK 900px */

    /* HOME CATEGORIES 900px */
    
    /* HOME CENTERED TITLE 900px */

    /* HOME BLOCKS TEXTS 900px */
    .home-blocks-texts.element-to-reach .container {
        max-width: 40em;
        flex-wrap: wrap;
        gap: 4em 0;
    }
    .home-blocks-texts-item {
        width: 45%;
    }
    .home-blocks-texts-separator:nth-of-type(2n) {
        display: none;
    }
    /* HOME BLOCKS TEXTS 900px */

    /* CLUB ASIDE 900px */

    /* LISTING 900px */

    /* POPIN 900px */

    /* PRODUCT SINGLE 900px */

    /* CART 900px */

    /* CHECKOUT 900px */

    /* MY ACCOUNT 900px */
}



@media screen and (max-width: 768px) {

    /* GLOBAL 768px */
    .container {
        max-width: 67em;
    }
    /* GLOBAL 768px */

    /* HOME INTRO 768px */

    /* HEADER 768px */
    /* HEADER 768px */

    /* HOME BLOCKS IMAGE AND LINK 768px */
    .home-blocks-image-and-link-left {
        display: none;
    }
    .home-blocks-image-and-link-right {
        margin: 2em auto;
        padding: 1em;
        min-height: 20em;
        width: 100%;
        max-width: 520px;
        border-radius: 0.4em;
    }
    .home-blocks-image-and-link-right .btn.btn-hemis {
        font-size: 1.2em;
    }
    /* HOME BLOCKS IMAGE AND LINK 768px */

    /* HOME CATEGORIES 768px */
    .home-blocks-categories-list-item-link {
        width: 420px;
        /* min-height: 18.2em; */
        border-radius: 1em;
    }
    .home-blocks-categories-list-text {
        padding: 0;
    }
    /* HOME CATEGORIES 768px */
    
    /* HOME CENTERED TITLE 768px */
    .home-centered-title {
        margin-top: 7em;
        margin-bottom: 7em;
    }
    /* HOME CENTERED TITLE 768px */

    /* HOME BLOCKS TEXTS 768px */

    /* CLUB ASIDE 768px */

    /* LISTING 768px */
    .woocommerce ul.products li.product,
    .woocommerce-page ul.products li.product {
        font-size: 0.8em;
    }
    /* LISTING 768px */

    /* POPIN 768px */

    /* PRODUCT SINGLE 768px */

    /* CART 768px */

    /* CHECKOUT 768px */

    /* MY ACCOUNT 768px */
}



@media screen and (max-width: 480px) {

    /* GLOBAL 480px */

    /* HOME INTRO 480px */

    /* HEADER 480px */

    /* HOME BLOCKS IMAGE AND LINK 480px */

    /* HOME CATEGORIES 480px */
    .home-blocks-categories-list-item-link {
        width: 300px;
    }
    /* HOME CATEGORIES 480px */
    
    /* HOME CENTERED TITLE 480px */

    /* HOME BLOCKS TEXTS 480px */

    /* CLUB ASIDE 480px */

    /* LISTING 480px */

    /* POPIN 480px */

    /* PRODUCT SINGLE 480px */

    /* CART 480px */

    /* CHECKOUT 480px */

    /* MY ACCOUNT 480px */
}